#include <bits/stdc++.h>
using namespace std;

const int mx = 2e5+5;
int t[mx];
int n, *a, *b;

int fen[mx];
void add(int pos, int val) {
    fen[pos] += val;
}
int sum(int pos) {
    int ret = 0;
    for (int i = 1; i <= pos; i++) {
        ret += fen[i];
    }
    return ret;
}

long long Resi(int N, int *A, int *B) {
    n = N, a = A, b = B;

	for (int i = 0; i < n; i++) {
        t[a[i]] = i+1;
	}
	for (int i = 0; i < n; i++) {
        t[b[i]] = -(i+1);
	}

	long long ans = 0;

	int uk = 0;
	for (int i = 0; i < n+n; i++) {
        if (t[i] > 0) {
            int x = sum(b[t[i]-1]);
            ans += min(x, uk - x);
            add(b[t[i]-1], 1);
            uk++;
        }
        else {
            add(i, -1);
            uk--;
        }
	}


	return ans;

}